# mPy - presenr Potm value on7-segm LED display
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2025-06-19  initial release

import	time
from	drivers	import	potmInit, potmGet, led7Init, led7Show

# ======================== main ============================

def main():
    potmInit()
    led7Init()
    while True:
        adc = potmGet()
        led7Show(int(adc*1000), 4)
#        led7Show(int(adc*100), 3)
        time.sleep(0.25)
        
        
main()

# ========================= end =============================
